
        var SCORMify = (function () {
          var lms = null;
          var timeCurrent_int = new Date().getTime();
          var timeLimit_int = new Date().getTime() + (30 * 1000);
          function findLMS(win) {
              var retries = 0;
              while ((win.API == null) && (win.parent != null) && (win.parent != win)) {
                  retries++;
                  if (retries > 7) {
                      alert("Error finding LMS SCORM API -- too deeply nested.");
                      return null;
                  }
                  win = win.parent;
              }
              return win.API || win.API_1484_11;
          }

          function getLMS() {
              var scormApi = findLMS(window);

              if ((scormApi == null) && (window.opener != null) && (typeof (window.opener) != "undefined"))
                  scormApi = findLMS(window.opener);

              if (scormApi == null)
                  alert("Unable to find an API adapter");

              return scormApi;
          }

          function complete(s) {
              setValue("cmi.score.scaled", s / 100);
              setValue("cmi.success_status", "passed");
              setValue('cmi.completion_status', 'completed');
              setValue('cmi.progress_measure', '1.0');
              setValue("cmi.exit", '');
              lms.Commit("");
              console.log('Set Complete!')
          }

          function setValue(n, v) {
              var s = lms.SetValue(n, v);
              return s;
          }

          function exit() {
              lms.Terminate("");
          }

          while ((lms == null) && timeCurrent_int < timeLimit_int) {
              lms = getLMS();
          }
          if (lms == null) {
              alert("whoops cannot find lms api");
          } else {
            lms.Initialize("");
            setValue("cmi.completion_status",'incomplete');
            window.addEventListener('message', (event) => {
              if (event.data.event == 'progress_90'){
                complete(event.data.info.currentScore)
              }
            })
          }
        })();